### DATASET 1 ###

library(MASS)

data(epil)
dim(epil)
help(epil)
hist(epil$y)
x<-epil$y
n<-length(x)

lambda_mle<-1/n*sum(x)
lambda_mle<-mean(x)
lambda_sd<-sqrt(lambda_mle/n)
hist(x, freq = FALSE)
curve(dpois(x, lambda = lambda_mle), add = TRUE, col="red", lwd=2)

#base: the counts in the baseline 8-week period.

### DATASET 2 ###

data("airquality")
head(airquality)
x<-(airquality$Temp-32)*(5/9)
hist(x)
mean(x)
var(x)
sd(x)

n<-length(x)
mu_mle<-mean(x)
s2_mle<-var(x)
mu_se<-sqrt(s2_mle/n)
s2_se<-sqrt(s2_mle^2/n)

hist(x, freq = FALSE)
curve(dnorm(x, mean=mu_mle, sd=sqrt(s2_mle)), col="red", lwd=2, add=TRUE)

### DATASET 3 ###
library(nycflights13)
y<-flights$dep_delay
y<-y[y>0]
help(flights)
hist(y)

#Choose the model
#Derive analitically the ML estimator
#Estimate the parameters and the standard errors
#Evaluate (graphically) the fitting

